path: /build/build/sqlite-dev-db-3-3.45.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/sqlite && luet-portage --dir
    /pkgdir/sqlite dev-db/sqlite:3
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:54a980634f8fbc7e2d093fd1a389a257f1908eed42f1bd257e62d3654b1c7516
  package:
    name: sqlite
    version: 3.45.3
    category: dev-db-3
    use_flags:
    - -tcl
    - -test
    - -tools
    - icu
    - readline
    requires:
    - name: funtoo-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: SQL database engine
    uri:
    - https://sqlite.org/
    license: public-domain
    buildtimestamp: 2024-05-19 13:05:51.184392482 +0000 UTC m=+35.991247965
    labels:
      BDEPEND: app-arch/unzip >=dev-lang/tcl-8.6:0 >=app-portage/elt-patches-20170815
        || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      DEPEND: sys-libs/zlib:0=[-mgorny(-)] icu? ( dev-libs/icu:0=[-mgorny(-)] ) readline?
        ( sys-libs/readline:0=[-mgorny(-)] ) tcl? ( dev-lang/tcl:0=[-mgorny(-)] )
        tools? ( dev-lang/tcl:0= ) test? ( >=dev-lang/tcl-8.6:0[-mgorny(-)] )
      IUSE: debug doc icu +readline secure-delete static-libs tcl test tools abi_x86_32
        abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32
        abi_s390_64
      RDEPEND: sys-libs/zlib:0=[-mgorny(-)] icu? ( dev-libs/icu:0=[-mgorny(-)] ) readline?
        ( sys-libs/readline:0=[-mgorny(-)] ) tcl? ( dev-lang/tcl:0=[-mgorny(-)] )
        tools? ( dev-lang/tcl:0= )
      emerge.packages: dev-db/sqlite:3
      kit: core-server-kit
      original.package.name: dev-db/sqlite
      original.package.slot: "3"
      original.package.version: 3.45.3
    treedir: /build/packages
  package_dir: /pkgdir/sqlite
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e08c2a7efe58020007b0dfaf8118d044b990d3d38e728b820086ba3801f78a4a
compressiontype: zstd
files:
- usr/bin/sqlite3
- usr/include/sqlite3.h
- usr/include/sqlite3ext.h
- usr/lib64/libsqlite3.so
- usr/lib64/libsqlite3.so.0
- usr/lib64/libsqlite3.so.0.8.6
- usr/lib64/pkgconfig/sqlite3.pc
- usr/share/man/man1/sqlite3.1.bz2
- var/db/pkg/dev-db/sqlite-3.45.3/BDEPEND
- var/db/pkg/dev-db/sqlite-3.45.3/BUILD_TIME
- var/db/pkg/dev-db/sqlite-3.45.3/CATEGORY
- var/db/pkg/dev-db/sqlite-3.45.3/CBUILD
- var/db/pkg/dev-db/sqlite-3.45.3/CFLAGS
- var/db/pkg/dev-db/sqlite-3.45.3/CHOST
- var/db/pkg/dev-db/sqlite-3.45.3/CONTENTS
- var/db/pkg/dev-db/sqlite-3.45.3/COUNTER
- var/db/pkg/dev-db/sqlite-3.45.3/CXXFLAGS
- var/db/pkg/dev-db/sqlite-3.45.3/DEFINED_PHASES
- var/db/pkg/dev-db/sqlite-3.45.3/DEPEND
- var/db/pkg/dev-db/sqlite-3.45.3/DESCRIPTION
- var/db/pkg/dev-db/sqlite-3.45.3/EAPI
- var/db/pkg/dev-db/sqlite-3.45.3/FEATURES
- var/db/pkg/dev-db/sqlite-3.45.3/HOMEPAGE
- var/db/pkg/dev-db/sqlite-3.45.3/INHERITED
- var/db/pkg/dev-db/sqlite-3.45.3/IUSE
- var/db/pkg/dev-db/sqlite-3.45.3/IUSE_EFFECTIVE
- var/db/pkg/dev-db/sqlite-3.45.3/KEYWORDS
- var/db/pkg/dev-db/sqlite-3.45.3/LDFLAGS
- var/db/pkg/dev-db/sqlite-3.45.3/LICENSE
- var/db/pkg/dev-db/sqlite-3.45.3/NEEDED
- var/db/pkg/dev-db/sqlite-3.45.3/PF
- var/db/pkg/dev-db/sqlite-3.45.3/PROVIDES
- var/db/pkg/dev-db/sqlite-3.45.3/RDEPEND
- var/db/pkg/dev-db/sqlite-3.45.3/REQUIRES
- var/db/pkg/dev-db/sqlite-3.45.3/RESTRICT
- var/db/pkg/dev-db/sqlite-3.45.3/SIZE
- var/db/pkg/dev-db/sqlite-3.45.3/SLOT
- var/db/pkg/dev-db/sqlite-3.45.3/USE
- var/db/pkg/dev-db/sqlite-3.45.3/environment.bz2
- var/db/pkg/dev-db/sqlite-3.45.3/repository
- var/db/pkg/dev-db/sqlite-3.45.3/sqlite-3.45.3.ebuild
package_cacheimage: ""
runtime:
  name: sqlite
  version: 3.45.3
  category: dev-db-3
  use_flags:
  - -tcl
  - -test
  - -tools
  - icu
  - readline
  requires:
  - name: icu
    version: '>=0'
    category: dev-libs
  - name: readline
    version: '>=0'
    category: sys-libs
  - name: zlib
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: SQL database engine
  uri:
  - https://sqlite.org/
  license: public-domain
  labels:
    BDEPEND: app-arch/unzip >=dev-lang/tcl-8.6:0 >=app-portage/elt-patches-20170815
      || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
    DEPEND: sys-libs/zlib:0=[-mgorny(-)] icu? ( dev-libs/icu:0=[-mgorny(-)] ) readline?
      ( sys-libs/readline:0=[-mgorny(-)] ) tcl? ( dev-lang/tcl:0=[-mgorny(-)] ) tools?
      ( dev-lang/tcl:0= ) test? ( >=dev-lang/tcl-8.6:0[-mgorny(-)] )
    IUSE: debug doc icu +readline secure-delete static-libs tcl test tools abi_x86_32
      abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: sys-libs/zlib:0=[-mgorny(-)] icu? ( dev-libs/icu:0=[-mgorny(-)] ) readline?
      ( sys-libs/readline:0=[-mgorny(-)] ) tcl? ( dev-lang/tcl:0=[-mgorny(-)] ) tools?
      ( dev-lang/tcl:0= )
    emerge.packages: dev-db/sqlite:3
    kit: core-server-kit
    original.package.name: dev-db/sqlite
    original.package.slot: "3"
    original.package.version: 3.45.3
